Mantis Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000987FS Upgrade Project (Media VPs)Mission Relatedpublic2013-12-07 00:172013-12-26 19:24
ReporterGoober5000 
Assigned ToAdmiralNelson 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000987: Various bugs in SM2-10, A Flaming Sword
DescriptionThe mission is pretty brittle. It's easy to accidentally break it by satisfying a directive but not a goal, or vice versa.

Here are the bugs reported in the Main Campaign Bugs thread (http://www.hard-light.net/forums/index.php?topic=74389.0 [^])

Mission: A Flaming Sword
Bugs:
VO states Mara's, but Astaroths show up.
Renenet does not always open fire on enemy units when it should (see next bullet point).
Very specific actions need to be taken by the player in order for the mission to work properly. Fix suggestions: The "Sneaky" event should have its AND/OR logic changed to all ORs; the "Lure Directive" should become true if Aries and Scorpio are destroyed; and the "Engage Directive" should also become true if "A3 Pull them out" is true.
Epsilon wing should be ship-guardianed, as they send plot-relevant messages.
The Renenet crashes into the Sathanas in the process of jumping out.
If Lambda 1 deposits the meson bomb and is then destroyed during its escape sequence the mission script will break and the mission cannot be completed.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001215)
MjnMixael (manager)
2013-12-07 01:51

Mara/Astaroth mixup has already been dealt with.
(0001245)
MjnMixael (manager)
2013-12-26 19:24

Fixed in revision 1533 thanks to Axem.

- Issue History
Date Modified Username Field Change
2013-12-07 00:17 Goober5000 New Issue
2013-12-07 00:17 Goober5000 Status new => assigned
2013-12-07 00:17 Goober5000 Assigned To => Zacam
2013-12-07 01:51 MjnMixael Note Added: 0001215
2013-12-18 13:37 MjnMixael Assigned To Zacam => AdmiralNelson
2013-12-26 19:24 MjnMixael Note Added: 0001245
2013-12-26 19:24 MjnMixael Status assigned => resolved
2013-12-26 19:24 MjnMixael Resolution open => fixed


MantisBT 1.2.11[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker